## EMBOSS: Stretcher

# Program Stretcher

## Function

Finds the best global alignment between two sequences

## Description

     calculates a global alignment of two sequences

     Please cite: Myers and Miller, CABIOS (1989)
     version 2.0u. Modified for EMBOSS May 1999

## Usage

Here is a sample session with stretcher.

     stretcher -sequencea s1 -sequenceb s2

     hbahum                                              141  vs.
     hbbhum                                              146
     scoring matrix: BLOSUM62, gap penalties: 12/2
     43.2% identity;         Global alignment score: 272

                     10        20        30        40         50
     hbahum V-LSPADKTNVKAAWGKVGAHAGEYGAEALERMFLSFPTTKTYFPHF-DLSH-----GSA
            : :.: .:. : : ::::  .. : :.::: :... .: :. .:  : :::      :.
     hbbhum VHLTPEEKSAVTALWGKV--NVDEVGGEALGRLLVVYPWTQRFFESFGDLSTPDAVMGNP
                    10          20        30        40        50

                 60        70        80        90       100       110
     hbahum QVKGHGKKVADALTNAVAHVDDMPNALSALSDLHAHKLRVDPVNFKLLSHCLLVTLAAHL
            .::.:::::  :.....::.:.. .....::.::. ::.::: ::.::.. :. .:: :.
     hbbhum KVKAHGKKVLGAFSDGLAHLDNLKGTFATLSELHCDKLHVDPENFRLLGNVLVCVLAHHF
            60        70        80        90       100       110

                120       130       140
     hbahum PAEFTPAVHASLDKFLASVSTVLTSKYR
              :::: :.:. .: .:.:...:. ::.
     hbbhum GKEFTPPVQAAYQKVVAGVANALAHKYH
           120       130       140

## Command line arguments

       Mandatory qualifiers:
      [-sequencea]         sequence   Sequence USA
      [-sequenceb]         sequence   Sequence USA
      [-outfile]           align      (no help text) align value

       Optional qualifiers:
       -datafile           matrix     Matrix file
       -gappenalty         integer    gappenalty
       -gaplength          integer    gap length penalty

       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequencea] (Parameter 1) | Sequence USA | Readable sequence | Required
[-sequenceb] (Parameter 2) | Sequence USA | Readable sequence | Required
[-outfile] (Parameter 3) | (no help text) align value | Alignment file |
Optional qualifiers | Allowed values | Default
-datafile | Matrix file | Comparison matrix file in EMBOSS data path | EBLOSUM62 for protein EDNAFULL for DNA
-gappenalty | gappenalty | Positive integer | 12 for protein, 16 for nucleic
-gaplength | gap length penalty | Positive integer | 2 for protein, 4 for nucleic
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

Any 2 sequence USAs of the same type (DNA or protein).

## Output file format

## Data files

For protein sequences EBLOSUM62 is used for the substitution matrix. For nucleotide sequence, EDNAMAT is used. Others can be specified.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by EMBOSS environment variable EMBOSS_DATA.

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

## References

1. Myers and Miller, CABIOS (1989)

## Warnings

## Diagnostic Error Messages

## Exit status

## Known bugs

## See also

Program name | Description
--- | ---
alignwrap | Aligns a set of sequences to a seed alignment
est2genome | Align EST and genomic DNA sequences
needle | Needleman-Wunsch global alignment

## Author(s)

This application was modified for inclusion in EMBOSS by Ian Longden (il@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

     Completed 13th May 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments